MWAWPresentationListenerInternal::GraphicState Struct Reference

the global graphic state of MWAWPresentationListener More...

## Public Member Functions

| GraphicState (std::vector< MWAWPageSpan > const &pageList)
| constructor
GraphicState & | operator= (GraphicState const &)=default
GraphicState & | operator= (GraphicState &&)=default
| ~GraphicState ()
| destructor

## Public Attributes

std::vector< MWAWPageSpan > | m_pageList
| the pages definition
librevenge::RVNGPropertyList | m_metaData
| the document meta data
bool | m_isDocumentStarted
| a flag to know if the document is open
bool | m_isPageSpanOpened
| true if a page is open
bool | m_isMasterPageSpanOpened
| true if a masterpage is open
bool | m_isAtLeastOnePageOpened
| true if the first page has been open
bool | m_isHeaderFooterStarted
| a flag to know if the header footer is started
MWAWPageSpan | m_pageSpan
| ! the current page span
std::vector< int > | m_sentListMarkers
| the list of marker corresponding to sent list
std::vector< MWAWSubDocumentPtr > | m_subDocuments
| the list of actual subdocument
MWAWSection | m_section
| empty section used to return a section in getSection

## Detailed Description

the global graphic state of MWAWPresentationListener

## Constructor & Destructor Documentation

## GraphicState()

MWAWPresentationListenerInternal::GraphicState::GraphicState | ( | std::vector< MWAWPageSpan > const & | pageList | ) |

inline explicit

constructor

Referenced by operator=(), and operator=().

## ~GraphicState()

MWAWPresentationListenerInternal::GraphicState::~GraphicState | ( |  | ) |

inline

destructor

## Member Function Documentation

## operator=() [1/2]

GraphicState & MWAWPresentationListenerInternal::GraphicState::operator= | ( | GraphicState && |  | ) |

default

## operator=() [2/2]

GraphicState & MWAWPresentationListenerInternal::GraphicState::operator= | ( | GraphicState const & |  | ) |

default

## Member Data Documentation

## m_isAtLeastOnePageOpened

bool MWAWPresentationListenerInternal::GraphicState::m_isAtLeastOnePageOpened

true if the first page has been open

Referenced by GraphicState().

## m_isDocumentStarted

bool MWAWPresentationListenerInternal::GraphicState::m_isDocumentStarted

a flag to know if the document is open

Referenced by GraphicState().

## m_isHeaderFooterStarted

bool MWAWPresentationListenerInternal::GraphicState::m_isHeaderFooterStarted

a flag to know if the header footer is started

Referenced by GraphicState().

## m_isMasterPageSpanOpened

bool MWAWPresentationListenerInternal::GraphicState::m_isMasterPageSpanOpened

true if a masterpage is open

Referenced by GraphicState().

## m_isPageSpanOpened

bool MWAWPresentationListenerInternal::GraphicState::m_isPageSpanOpened

true if a page is open

Referenced by GraphicState().

## m_metaData

librevenge::RVNGPropertyList MWAWPresentationListenerInternal::GraphicState::m_metaData

the document meta data

Referenced by GraphicState().

## m_pageList

std::vector<MWAWPageSpan> MWAWPresentationListenerInternal::GraphicState::m_pageList

the pages definition

Referenced by GraphicState().

## m_pageSpan

MWAWPageSpan MWAWPresentationListenerInternal::GraphicState::m_pageSpan

! the current page span

Referenced by GraphicState().

## m_section

MWAWSection MWAWPresentationListenerInternal::GraphicState::m_section

empty section used to return a section in getSection

Referenced by GraphicState().

## m_sentListMarkers

std::vector<int> MWAWPresentationListenerInternal::GraphicState::m_sentListMarkers

the list of marker corresponding to sent list

Referenced by GraphicState().

## m_subDocuments

std::vector<MWAWSubDocumentPtr> MWAWPresentationListenerInternal::GraphicState::m_subDocuments

the list of actual subdocument

Referenced by GraphicState().

The documentation for this struct was generated from the following file:

- MWAWPresentationListener.cxx